Overview | Package | Class | Deprecated | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

## Package org.exist.storage.journal

Interface Summary
Loggable | Interface to be implemented by all objects that can be written or read from the journalling log.

Class Summary
AbstractLoggable | Abstract implementation of the Loggable interface.
FileSyncThread | Sync the current journal file by calling `FileChannel.force(boolean)`.
Journal | Manages the journalling log.
JournalReader | Read log entries from the journal file.
LogEntryTypes | Registry for log entry types.
Lsn | Log Sequence Number: identifies a log record within the journal file.

Exception Summary
LogException |

Overview | Package | Class | Deprecated | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

Copyright (C) Wolfgang Meier. All rights reserved.